# -*- encoding: utf-8 -*-
# stub: excon 0.54.0 ruby lib

Gem::Specification.new do |s|
  s.name = "excon"
  s.version = "0.54.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["dpiddy (Dan Peterson)", "geemus (Wesley Beary)", "nextmat (Matt Sanders)"]
  s.date = "2016-11-15"
  s.description = "EXtended http(s) CONnections"
  s.email = "geemus@gmail.com"
  s.extra_rdoc_files = ["README.md"]
  s.files = ["CONTRIBUTING.md", "CONTRIBUTORS.md", "Gemfile", "Gemfile.lock", "LICENSE.md", "README.md", "Rakefile", "benchmarks/class_vs_lambda.rb", "benchmarks/concat_vs_insert.rb", "benchmarks/concat_vs_interpolate.rb", "benchmarks/cr_lf.rb", "benchmarks/downcase-eq-eq_vs_casecmp.rb", "benchmarks/excon.rb", "benchmarks/excon_vs.rb", "benchmarks/for_vs_array_each.rb", "benchmarks/for_vs_hash_each.rb", "benchmarks/has_key-vs-lookup.rb", "benchmarks/headers_case_sensitivity.rb", "benchmarks/headers_split_vs_match.rb", "benchmarks/implicit_block-vs-explicit_block.rb", "benchmarks/merging.rb", "benchmarks/single_vs_double_quotes.rb", "benchmarks/string_ranged_index.rb", "benchmarks/strip_newline.rb", "benchmarks/vs_stdlib.rb", "changelog.txt", "data/cacert.pem", "excon.gemspec", "lib/excon.rb", "lib/excon/connection.rb", "lib/excon/constants.rb", "lib/excon/error.rb", "lib/excon/extensions/uri.rb", "lib/excon/headers.rb", "lib/excon/middlewares/base.rb", "lib/excon/middlewares/capture_cookies.rb", "lib/excon/middlewares/decompress.rb", "lib/excon/middlewares/escape_path.rb", "lib/excon/middlewares/expects.rb", "lib/excon/middlewares/idempotent.rb", "lib/excon/middlewares/instrumentor.rb", "lib/excon/middlewares/mock.rb", "lib/excon/middlewares/redirect_follower.rb", "lib/excon/middlewares/response_parser.rb", "lib/excon/pretty_printer.rb", "lib/excon/response.rb", "lib/excon/socket.rb", "lib/excon/ssl_socket.rb", "lib/excon/standard_instrumentor.rb", "lib/excon/test/plugin/server/exec.rb", "lib/excon/test/plugin/server/puma.rb", "lib/excon/test/plugin/server/unicorn.rb", "lib/excon/test/plugin/server/webrick.rb", "lib/excon/test/server.rb", "lib/excon/unix_socket.rb", "lib/excon/utils.rb", "spec/excon/error_spec.rb", "spec/excon/test/server_spec.rb", "spec/excon_spec.rb", "spec/helpers/file_path_helpers.rb", "spec/requests/basic_spec.rb", "spec/requests/eof_requests_spec.rb", "spec/spec_helper.rb", "spec/support/shared_contexts/test_server_context.rb", "spec/support/shared_examples/shared_example_for_clients.rb", "spec/support/shared_examples/shared_example_for_streaming_clients.rb", "spec/support/shared_examples/shared_example_for_test_servers.rb", "tests/authorization_header_tests.rb", "tests/bad_tests.rb", "tests/basic_tests.rb", "tests/complete_responses.rb", "tests/data/127.0.0.1.cert.crt", "tests/data/127.0.0.1.cert.key", "tests/data/excon.cert.crt", "tests/data/excon.cert.key", "tests/data/xs", "tests/error_tests.rb", "tests/header_tests.rb", "tests/middlewares/canned_response_tests.rb", "tests/middlewares/capture_cookies_tests.rb", "tests/middlewares/decompress_tests.rb", "tests/middlewares/escape_path_tests.rb", "tests/middlewares/idempotent_tests.rb", "tests/middlewares/instrumentation_tests.rb", "tests/middlewares/mock_tests.rb", "tests/middlewares/redirect_follower_tests.rb", "tests/pipeline_tests.rb", "tests/proxy_tests.rb", "tests/query_string_tests.rb", "tests/rackups/basic.rb", "tests/rackups/basic.ru", "tests/rackups/basic_auth.ru", "tests/rackups/deflater.ru", "tests/rackups/proxy.ru", "tests/rackups/query_string.ru", "tests/rackups/redirecting.ru", "tests/rackups/redirecting_with_cookie.ru", "tests/rackups/request_headers.ru", "tests/rackups/request_methods.ru", "tests/rackups/response_header.ru", "tests/rackups/ssl.ru", "tests/rackups/ssl_mismatched_cn.ru", "tests/rackups/ssl_verify_peer.ru", "tests/rackups/streaming.ru", "tests/rackups/thread_safety.ru", "tests/rackups/timeout.ru", "tests/rackups/webrick_patch.rb", "tests/request_headers_tests.rb", "tests/request_method_tests.rb", "tests/request_tests.rb", "tests/response_tests.rb", "tests/servers/bad.rb", "tests/servers/eof.rb", "tests/servers/error.rb", "tests/servers/good.rb", "tests/test_helper.rb", "tests/thread_safety_tests.rb", "tests/timeout_tests.rb", "tests/utils_tests.rb"]
  s.homepage = "https://github.com/excon/excon"
  s.licenses = ["MIT"]
  s.rdoc_options = ["--charset=UTF-8"]
  s.rubyforge_project = "excon"
  s.rubygems_version = "2.5.1"
  s.summary = "speed, persistence, http(s)"

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rspec>, [">= 3.5.0"])
      s.add_development_dependency(%q<activesupport>, [">= 0"])
      s.add_development_dependency(%q<delorean>, [">= 0"])
      s.add_development_dependency(%q<eventmachine>, [">= 1.0.4"])
      s.add_development_dependency(%q<open4>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, [">= 0"])
      s.add_development_dependency(%q<shindo>, [">= 0"])
      s.add_development_dependency(%q<sinatra>, [">= 0"])
      s.add_development_dependency(%q<sinatra-contrib>, [">= 0"])
      s.add_development_dependency(%q<json>, [">= 1.8.2"])
      s.add_development_dependency(%q<puma>, [">= 0"])
    else
      s.add_dependency(%q<rspec>, [">= 3.5.0"])
      s.add_dependency(%q<activesupport>, [">= 0"])
      s.add_dependency(%q<delorean>, [">= 0"])
      s.add_dependency(%q<eventmachine>, [">= 1.0.4"])
      s.add_dependency(%q<open4>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rdoc>, [">= 0"])
      s.add_dependency(%q<shindo>, [">= 0"])
      s.add_dependency(%q<sinatra>, [">= 0"])
      s.add_dependency(%q<sinatra-contrib>, [">= 0"])
      s.add_dependency(%q<json>, [">= 1.8.2"])
      s.add_dependency(%q<puma>, [">= 0"])
    end
  else
    s.add_dependency(%q<rspec>, [">= 3.5.0"])
    s.add_dependency(%q<activesupport>, [">= 0"])
    s.add_dependency(%q<delorean>, [">= 0"])
    s.add_dependency(%q<eventmachine>, [">= 1.0.4"])
    s.add_dependency(%q<open4>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rdoc>, [">= 0"])
    s.add_dependency(%q<shindo>, [">= 0"])
    s.add_dependency(%q<sinatra>, [">= 0"])
    s.add_dependency(%q<sinatra-contrib>, [">= 0"])
    s.add_dependency(%q<json>, [">= 1.8.2"])
    s.add_dependency(%q<puma>, [">= 0"])
  end
end
